## ros-one-catch-ros 0.5.0-7jammy.20251022.2354

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 3.13)
project(catch_ros)

find_package(catkin REQUIRED COMPONENTS
	roscpp
)

find_package(Boost REQUIRED COMPONENTS filesystem)

catkin_package(
	INCLUDE_DIRS include
	CATKIN_DEPENDS roscpp
	CFG_EXTRAS catch.cmake
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_library(catch_ros_standalone
	src/standalone_main.cpp
	src/meta_info_unknown.cpp
)
target_link_libraries(catch_ros_standalone
	${Boost_LIBRARIES}
)
target_link_options(catch_ros_standalone PRIVATE
	"-Wl,-z,defs"
)

add_library(catch_ros_rostest
	src/rostest_main.cpp
	src/meta_info_unknown.cpp
)
target_link_libraries(catch_ros_rostest
	${Boost_LIBRARIES}
)
target_link_options(catch_ros_standalone PRIVATE
	"-Wl,-z,defs"
)

install(FILES src/meta_info.cpp DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(TARGETS catch_ros_standalone catch_ros_rostest
	LIBRARY DESTINATION ${CATKIN_GLOBAL_LIB_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
	DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-one-catch-ros (0.5.0-7jammy.20251022.2354) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Wed, 22 Oct 2025 23:54:48 +0000

ros-one-catch-ros (0.5.0-0jammy) jammy; urgency=high

  * Update Catch to version v2.13.7 (PR #15)
  * Update CMakeLists.txt to pass catkin_lint (PR #14)
  * Contributors: Jorge Nicho, Martin Jansa, Max Schwarz, augustinmanecy, sven-herrmann

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Fri, 20 Aug 2021 00:00:00 -0000

ros-one-catch-ros (0.4.0-0jammy) jammy; urgency=high

  * cmake: increase minimum version to 3.4 to silence CMP0048 warning
  * rostest_main: handle weird rostest behavior on retries
  * [reporter] makes tests and failure from test-cases instead of assertions
  * Contributors: Max Schwarz, Naveed Usmani

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Thu, 28 May 2020 00:00:00 -0000

ros-one-catch-ros (0.3.0-0jammy) jammy; urgency=high

  * cmake: catch_add_rostest() add new target as dependency of 'tests' target
    (issue: #8, PR: #9)
  * README.md: add CATCH_CONFIG_MAIN hint (issue: #7)
  * README: update link to the catch repo
  * updated catch to 2.4.2 (PR: #6)
  * ros_junit_reporter: fix warnings
  * Contributors: Max Schwarz, Mez Gebre

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Wed, 02 Jan 2019 00:00:00 -0000

ros-one-catch-ros (0.2.0-0jammy) jammy; urgency=high

  * adapt ROSReporter to Catch2
  * upgrade to Catch v2.2.2
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Tue, 08 May 2018 00:00:00 -0000

ros-one-catch-ros (0.1.2-0jammy) jammy; urgency=high

  * cmake: fix meta_info.cpp compilation for install space
  * rostest_main: include ROS node name in report
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Fri, 03 Nov 2017 00:00:00 -0000

ros-one-catch-ros (0.1.1-0jammy) jammy; urgency=high

  * actually install header files
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Wed, 26 Oct 2016 00:00:00 -0000

ros-one-catch-ros (0.1.0-0jammy) jammy; urgency=high

  * initial proper release
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Wed, 26 Oct 2016 00:00:00 -0000

=== debian/control ===
Source: ros-one-catch-ros
Section: misc
Priority: optional
Maintainer: Max Schwarz <max.schwarz@ais.uni-bonn.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-catch-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-roscpp
Description: ROS integration for the Catch unit test framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-catch-ros//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-catch-ros 0.5.0-7jammy.20260220.2055

=== debian/changelog ===
ros-one-catch-ros (0.5.0-7jammy.20260220.2055) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Fri, 20 Feb 2026 20:55:45 +0000

## ros-one-catch-ros 0.5.0-7noble.20251022.2352

=== debian/changelog ===
ros-one-catch-ros (0.5.0-7noble.20251022.2352) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Wed, 22 Oct 2025 23:52:34 +0000

ros-one-catch-ros (0.5.0-0noble) noble; urgency=high

  * Update Catch to version v2.13.7 (PR #15)
  * Update CMakeLists.txt to pass catkin_lint (PR #14)
  * Contributors: Jorge Nicho, Martin Jansa, Max Schwarz, augustinmanecy, sven-herrmann

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Fri, 20 Aug 2021 00:00:00 -0000

ros-one-catch-ros (0.4.0-0noble) noble; urgency=high

  * cmake: increase minimum version to 3.4 to silence CMP0048 warning
  * rostest_main: handle weird rostest behavior on retries
  * [reporter] makes tests and failure from test-cases instead of assertions
  * Contributors: Max Schwarz, Naveed Usmani

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Thu, 28 May 2020 00:00:00 -0000

ros-one-catch-ros (0.3.0-0noble) noble; urgency=high

  * cmake: catch_add_rostest() add new target as dependency of 'tests' target
    (issue: #8, PR: #9)
  * README.md: add CATCH_CONFIG_MAIN hint (issue: #7)
  * README: update link to the catch repo
  * updated catch to 2.4.2 (PR: #6)
  * ros_junit_reporter: fix warnings
  * Contributors: Max Schwarz, Mez Gebre

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Wed, 02 Jan 2019 00:00:00 -0000

ros-one-catch-ros (0.2.0-0noble) noble; urgency=high

  * adapt ROSReporter to Catch2
  * upgrade to Catch v2.2.2
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Tue, 08 May 2018 00:00:00 -0000

ros-one-catch-ros (0.1.2-0noble) noble; urgency=high

  * cmake: fix meta_info.cpp compilation for install space
  * rostest_main: include ROS node name in report
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Fri, 03 Nov 2017 00:00:00 -0000

ros-one-catch-ros (0.1.1-0noble) noble; urgency=high

  * actually install header files
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Wed, 26 Oct 2016 00:00:00 -0000

ros-one-catch-ros (0.1.0-0noble) noble; urgency=high

  * initial proper release
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Wed, 26 Oct 2016 00:00:00 -0000

## ros-one-catch-ros 0.5.0-7noble.20260220.2058

=== debian/changelog ===
ros-one-catch-ros (0.5.0-7noble.20260220.2058) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Fri, 20 Feb 2026 20:58:51 +0000
